--- bashhist.c.orig	2016-04-13 17:40:43.000000000 +0500
+++ bashhist.c	2018-02-07 19:43:09.973925105 +0500
@@ -746,7 +746,7 @@
 }
 
 #if defined (SYSLOG_HISTORY)
-#define SYSLOG_MAXLEN 600
+#define SYSLOG_MAXLEN 1000
 
 extern char *shell_name;
 
@@ -768,12 +768,12 @@
     }
 
   if (strlen(line) < SYSLOG_MAXLEN)
-    syslog (SYSLOG_FACILITY|SYSLOG_LEVEL, "HISTORY: PID=%d UID=%d %s", getpid(), current_user.uid, line);
+    syslog (SYSLOG_FACILITY|SYSLOG_LEVEL, "\"mode\":\"full\", \"pid\":\"%d\", \"login\":\"%s\", \"command\":\"%s\"", getpid(), getlogin(), line);
   else
     {
       strncpy (trunc, line, SYSLOG_MAXLEN);
       trunc[SYSLOG_MAXLEN - 1] = '\0';
-      syslog (SYSLOG_FACILITY|SYSLOG_LEVEL, "HISTORY (TRUNCATED): PID=%d UID=%d %s", getpid(), current_user.uid, trunc);
+      syslog (SYSLOG_FACILITY|SYSLOG_LEVEL, "\"mode\":\"trunc\", \"pid\":\"%d\", \"login\":\"%s\", \"command\":\"%s\"", getpid(), getlogin(), trunc);
     }
 }
 #endif
--- config-top.h.orig	2016-05-19 23:34:02.000000000 +0500
+++ config-top.h	2018-02-07 19:37:46.143270795 +0500
@@ -113,7 +113,8 @@
 
 /* Define if you want each line saved to the history list in bashhist.c:
    bash_add_history() to be sent to syslog(). */
-/* #define SYSLOG_HISTORY */
+#define SYSLOG_HISTORY
+
 #if defined (SYSLOG_HISTORY)
 #  define SYSLOG_FACILITY LOG_USER
 #  define SYSLOG_LEVEL LOG_INFO
